[PATCH] Some extra statics in d_polyse.c

There's a few more things in d_polyse.c which can be made static. Some
of it is a bit more complicated due to dependencies on x86 asm being
on or off. Leave a comment for some of those to be done later.

diff -urN a/NQ/d_polyse.c head/NQ/d_polyse.c
--- a/NQ/d_polyse.c	2006-05-13 18:33:07.000000000 +0930
+++ head/NQ/d_polyse.c	2006-05-27 22:51:17.000000000 +0930
@@ -73,7 +73,11 @@
     {0, 1, r_p0, r_p2, NULL, 1, r_p0, r_p1, NULL},
 };
 
-// FIXME: some of these can become statics
+/*
+ * FIXME: some of these could become statics
+ *        most used in d_polysa.S also, but some only used in one file or the
+ *        other, depending on USE_X86_ASM.
+ */
 int a_sstepxfrac, a_tstepxfrac, r_lstepx, a_ststepxwhole;
 int r_sstepx, r_tstepx, r_lstepy, r_sstepy, r_tstepy;
 int r_zistepx, r_zistepy;
@@ -102,7 +106,7 @@
 };
 
 byte *skintable[MAX_LBM_HEIGHT];
-int skinwidth;
+static int skinwidth;
 static byte *skinstart;
 
 void D_PolysetDrawSpans8(spanpackage_t *pspanpackage);
@@ -470,7 +474,7 @@
 D_PolysetSetUpForLineScan
 ====================
 */
-void
+static void
 D_PolysetSetUpForLineScan(fixed8_t startvertu, fixed8_t startvertv,
 			  fixed8_t endvertu, fixed8_t endvertv)
 {
diff -urN a/QW/client/d_polyse.c head/QW/client/d_polyse.c
--- a/QW/client/d_polyse.c	2006-05-13 18:33:07.000000000 +0930
+++ head/QW/client/d_polyse.c	2006-05-27 22:51:26.000000000 +0930
@@ -73,7 +73,11 @@
     {0, 1, r_p0, r_p2, NULL, 1, r_p0, r_p1, NULL},
 };
 
-// FIXME: some of these can become statics
+/*
+ * FIXME: some of these could become statics
+ *        most used in d_polysa.S also, but some only used in one file or the
+ *        other, depending on USE_X86_ASM.
+ */
 int a_sstepxfrac, a_tstepxfrac, r_lstepx, a_ststepxwhole;
 int r_sstepx, r_tstepx, r_lstepy, r_sstepy, r_tstepy;
 int r_zistepx, r_zistepy;
@@ -102,7 +106,7 @@
 };
 
 byte *skintable[MAX_LBM_HEIGHT];
-int skinwidth;
+static int skinwidth;
 static byte *skinstart;
 
 void D_PolysetDrawSpans8(spanpackage_t *pspanpackage);
@@ -470,7 +474,7 @@
 D_PolysetSetUpForLineScan
 ====================
 */
-void
+static void
 D_PolysetSetUpForLineScan(fixed8_t startvertu, fixed8_t startvertv,
 			  fixed8_t endvertu, fixed8_t endvertv)
 {
